Update a budget entry

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /data/budget-entries/{instance_id}

Update the fields of a budget entry. Send only the fields to change. You cannot change id, created_at, updated_at and budget_id. Dates use the ISO 8601 format. You must be an administrator.

Path parameters

  • instance_id string(uuid) Required

    Unique identifier of the budget entry

application/json

Body Required

  • department_id string(uuid)
  • person_id string(uuid)
  • start_date string(date)
  • months_duration integer
  • daily_salary number

    Daily salary of the entry

  • position string
  • seniority string
  • exceptions object

    Exceptions of the entry, as a JSON object

Responses

  • 200 application/json

    The updated budget entry

    Hide response attributes Show response attributes object
    • id string(uuid)
    • budget_id string(uuid)
    • department_id string(uuid)
    • person_id string(uuid) | null
    • start_date string(date)
    • months_duration integer
    • daily_salary number
    • position string
    • seniority string
    • exceptions object | null
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    The body is not valid, a date is not valid, or a field breaks a database constraint

  • 403

    You are not an administrator

  • 404

    The budget entry does not exist

PUT /data/budget-entries/{instance_id}
curl \
 --request PUT '/api/data/budget-entries/a24a6ea4-ce75-4665-a070-57453082c250' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "department_id": "c24a6ea4-ce75-4665-a070-57453082c250",
  "person_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "start_date": "2024-01-15",
  "months_duration": 3,
  "daily_salary": 42.0,
  "position": "artist",
  "seniority": "mid",
  "exceptions": {}
}'
Request examples
{
  "department_id": "c24a6ea4-ce75-4665-a070-57453082c250",
  "person_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "start_date": "2024-01-15",
  "months_duration": 3,
  "daily_salary": 42.0,
  "position": "artist",
  "seniority": "mid",
  "exceptions": {}
}
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "budget_id": "b24a6ea4-ce75-4665-a070-57453082c250",
  "department_id": "c24a6ea4-ce75-4665-a070-57453082c250",
  "person_id": "d24a6ea4-ce75-4665-a070-57453082c250",
  "start_date": "2024-01-15",
  "months_duration": 3,
  "daily_salary": 1500.0,
  "position": "artist",
  "seniority": "mid",
  "exceptions": {},
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T11:00:00Z"
}